# NOTE: g++ eats 700+MB of memory
#
# Conditional build:
%bcond_with	openmp		# OpenMP support (incompatible with image-cache)
%bcond_without	tcmalloc	# use of Google TCMalloc library
#
Summary:	Image blending with multiresolution splines
Summary(pl.UTF-8):	Łączenie zdjęć przy użyciu splajnów wielokrotnej rozdzielczości
Name:		enblend-enfuse
Version:	4.2
Release:	2
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/enblend/%{name}-%{version}.tar.gz
# Source0-md5:	e26751f393862cecfd1a113003787001
URL:		http://enblend.sourceforge.net/
BuildRequires:	OpenEXR-devel >= 1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.55
%{?with_openmp:BuildRequires:	gcc-c++ >= 6:4.2}
BuildRequires:	glew-devel
BuildRequires:	gnuplot
BuildRequires:	gsl-devel
BuildRequires:	help2man
BuildRequires:	lcms2-devel >= 2
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 5:4.3
%{?with_tcmalloc:BuildRequires:	libtcmalloc-devel}
BuildRequires:	libtiff-devel
BuildRequires:	perl-TimeDate
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	vigra-devel >= 1.8
BuildRequires:	zlib-devel
Requires:	vigra >= 1.8
Provides:	enblend = %{version}
Obsoletes:	enblend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enblend is a tool for compositing images. Given a set of images that
overlap in some irregular way, Enblend overlays them in such a way
that the seam between the images is invisible, or at least very
difficult to see. Enblend does not line up the images for you. Use a
tool like Hugin to do that.

%description -l pl.UTF-8
Enblend to narzędzie do łączenia zdjęć. Po przekazaniu zbioru zdjęć
nachodzących na siebie w jakiś nieregularny sposób Enblend nakłada je
w taki sposób, że połączenia między zdjęciami są niewidoczne, albo
przynajmniej bardzo trudne do zobaczenia. Enblend nie wyrównuje zdjęć
- do tego można użyć narzędzia takiego jak Hugin.

%prep
%setup -q

%build
%configure \
	%{?with_openmp:--enable-openmp --disable-image-cache}
	%{!?with_tcmalloc:--without-tcmalloc}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/enblend
%attr(755,root,root) %{_bindir}/enfuse
%{_mandir}/man1/enblend.1*
%{_mandir}/man1/enfuse.1*
%changelog
* Sun Jun 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enblend-enfuse.git;a=log;h=master

* Sun Jun 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 6e05608
- release 2 (rebuild with gsl 2.4 and vigra 1.11.x)
- updated dependencies
- added tcmalloc bcond

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 5a0561b
- up to 4.2

* Tue May 17 2016 Jan Rękorajski <baggins@pld-linux.org> 91d02fd
- release 14 (by relup.sh)

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 3777938
- renamed gomp bcond to compiler-agnostic openmp

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4a5128f
- release 13 (by relup.sh)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> 07c11f6
- release 12 (by relup.sh)

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> f0048ef
- release 11 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 8a0a607
- release 10 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 2fe6dce
- rebuild with boost 1.57.0
- release 9 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 8946ece
- rebuild with boost 1.56.0
- release 8 (by relup.sh)

* Mon Feb 03 2014 Jan Rękorajski <baggins@pld-linux.org> ce603cc
- gnuplot is needed for building docs
- rel 7

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 4d416d3
- fix building docs
- rel 6

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 9d3dced
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> be308d6
- - rebuild with boost 1.55.0
- release 4 (by relup.sh)

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> 7353c2e
- release 3 (by relup.sh)

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 899b909
- release 2 (by relup.sh)

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 94891f9
- updated to 4.1.2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 9697142
- release 2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 6abb79c
- added texinfo patch with some workarounds for texinfo 5.x; also avoid ":" in @set variables

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> d35a24f
- updated BRs

